Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service.util
Class EJBAppServerData

    java.lang.Object
      org.wso2.wsas.admin.service.util.EJBAppServerData

public class EJBAppServerData
extends java.lang.Object

Constructor Summary
`EJBAppServerData()`

Method Summary
`java.lang.String` | `getAppServerType()`
`java.lang.String` | `getJndiContextClass()`
`java.lang.String` | `getProviderURL()`
`java.lang.String` | `getServerId()`
`java.lang.String` | `getServerName()`
`java.lang.String` | `getUserName()`
`void` | `setAppServerType(java.lang.String appServerType)`
`void` | `setJndiContextClass(java.lang.String jndiContextClass)`
`void` | `setProviderURL(java.lang.String providerURL)`
`void` | `setServerId(java.lang.String serverId)`
`void` | `setServerName(java.lang.String serverName)`
`void` | `setUserName(java.lang.String userName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJBAppServerData

    public EJBAppServerData()

Method Detail

### getServerId

    public java.lang.String getServerId()

### setServerId

    public void setServerId(java.lang.String serverId)

### getServerName

    public java.lang.String getServerName()

### setServerName

    public void setServerName(java.lang.String serverName)

### getJndiContextClass

    public java.lang.String getJndiContextClass()

### setJndiContextClass

    public void setJndiContextClass(java.lang.String jndiContextClass)

### getProviderURL

    public java.lang.String getProviderURL()

### setProviderURL

    public void setProviderURL(java.lang.String providerURL)

### getAppServerType

    public java.lang.String getAppServerType()

### setAppServerType

    public void setAppServerType(java.lang.String appServerType)

### getUserName

    public java.lang.String getUserName()

### setUserName

    public void setUserName(java.lang.String userName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD